<?php

require_once "config.php";

class Modelo extends PDO {

    function __construct() {
        parent::__construct('mysql' .
                ':host=' . DB_HOST .
                ';port=' . DB_PORT .
                ';dbname=' . DB_NAME, DB_USER, DB_PASS);
        $this->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }

    function query($query, $values) {
        $statement = $this->prepare($query);
        
        if (!$statement->execute($values)) {
            throw new Exception('Error del query ' . $query);
        }
		
        return $statement;
    }

    function select_json_encode($query, $values) {
        return json_encode(query($query, $values)->fetchAll(PDO::FETCH_ASSOC));
    }

    function select_json($query, $values) {
        try {
            return '{ success: true, result: ' . select_json_encode($query, $values) . ' }';
        } catch (Exception $e) {
            return json_error($e->getMessage());
        }
    }

    function insert_query($table, $values) {
        $fields = comma_delimit(array_keys($values));
        $places = comma_delimit(array_fill(0, count($values), '?'));

        return query("insert into $table ($fields) values ($places)", array_values($values));
    }

    function json_error($msg) {
        return '{ success: false, error: "' . addslashes($msg) . '" }';
    }
}
?>